Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.security.handler
Class WSSResponseHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.ws.axis.security.WSDoAllSender
              org.jboss.net.axis.security.handler.WSSResponseHandler

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class WSSResponseHandler
extends org.apache.ws.axis.security.WSDoAllSender

Title:
  Web Service Security Response Handler

Description:
  This handler is responsible for signing and/or encrypting the response message.

Copyright:
  Copyright (c) 2004
Company:
  Green River Computing Services

Version:
  $Revision: 1.3 $
Author:
  Jason Essington
See Also:
  Serialized Form

Field Summary
`protected org.apache.log4j.Logger` | `log`

Fields inherited from class org.apache.ws.axis.security.WSDoAllSender
`timeToLive`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`WSSResponseHandler()`

Method Summary
`void` | `invoke(org.apache.axis.MessageContext mc)`
`protected org.apache.ws.security.components.crypto.Crypto` | `loadEncryptionCrypto()`
`protected org.apache.ws.security.components.crypto.Crypto` | `loadSignatureCrypto()`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Logger log

Constructor Detail

### WSSResponseHandler

    public WSSResponseHandler()

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext mc)
                throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### loadSignatureCrypto

    protected org.apache.ws.security.components.crypto.Crypto loadSignatureCrypto()
                                                                           throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### loadEncryptionCrypto

    protected org.apache.ws.security.components.crypto.Crypto loadEncryptionCrypto()
                                                                            throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.